|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# ObjectDescription Class Reference
(Phonon::ObjectDescription)
[Phonon module]

This class provides a tuple of end user visible name and description. Author: Matthias Kretz <kretz@kde.org> More...

     #include <Phonon>

- List of all members, including inherited members

### Public Functions

- ObjectDescription ()
- QString description () const
- int index () const
- bool isValid () const
- QString name () const
- QVariant property ( const char * name ) const
- QList<QByteArray> propertyNames () const
- bool operator!= ( const ObjectDescription & otherDescription ) const
- bool operator== ( const ObjectDescription & otherDescription ) const

### Static Public Members

- ObjectDescription<T> fromIndex ( int index )

## Detailed Description

This class provides a tuple of end user visible name and description. Author: Matthias Kretz <kretz@kde.org>

Some parts give the end user choices, e.g. what source to capture audio from. These choices are described by the name and description methods of this class and identified with the id method. Subclasses then define additional information like which audio and video choices belong together.

## Member Function Documentation

### ObjectDescription::ObjectDescription ()

constructs a new object description.

### QString ObjectDescription::description () const

Returns a description of the capture source. This text should make clear what sound source this is, which is sometimes hard to describe or understand from just the name.

Returns A string describing the capture source.

### ObjectDescription<T> ObjectDescription::fromIndex ( int index ) `[static]`

Returns a new description object that describes the device/effect/codec/... with the given index.

### int ObjectDescription::index () const

A unique identifier for this device/. Used internally to distinguish between the devices/.

Returns An integer that uniquely identifies every device/

### bool ObjectDescription::isValid () const

Returns true if the Tuple is valid (index != -1); otherwise returns false.

### QString ObjectDescription::name () const

Returns the name of the capture source.

Returns A string that should be presented to the user to choose the capture source.

### QVariant ObjectDescription::property ( const char * name ) const

Returns the property named name.

If the property is not set an invalid value is returned.

See also propertyNames().

### QList<QByteArray> ObjectDescription::propertyNames () const

Returns all names that return valid data when property() is called.

See also property().

### bool ObjectDescription::operator!= ( const ObjectDescription & otherDescription ) const

Returns `false` if this ObjectDescription describes the same as otherDescription; otherwise returns `true`.

### bool ObjectDescription::operator== ( const ObjectDescription & otherDescription ) const

Returns `true` if this ObjectDescription describes the same as otherDescription; otherwise returns `false`.